@import 'normalize.css';

body{
    background-image: white;
    min-height: 100vh;
}

.all{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 100%;
} 

.Inhalt{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding-left: 0;
    margin-left: auto;
    margin-right: auto;
}


.second {
    height: auto;
    z-index: 10;
    position: sticky;
    top: 0;
    width: 99%;
    border: 2px solid white;
    /* margin: 0.81%; */
	background-color: white;
    overflow: none;
    /* border-radius: 0.7em 0.7em 0.7em; */
}

.second.content{
    height: auto;
}

h3{
    font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    /* align-self: center;  */
    font-size: +25;
}

.button{
    color: black;
    border-color:rgb(215, 239, 250);
    border-radius: 1;
    background-color: rgb(215, 239, 250);
    width: flex;
    border-top-left-radius: 0.7em;
    border-bottom-left-radius: 0.7em;
    font-size: +25;
    font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    padding-left: 10%;
    padding-right: 4%;
    text-decoration: none;
    align-items: center;
    border-right: 4px solid rgb(215, 239, 250); 
}

button{
    border: none;
}

.active{ 
    color: rgb(0, 166, 255);
    border-right: 4px solid rgb(95, 170, 255); 
    background-color: rgb(203, 221, 255);
}


nav.linked{
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 2rem;
}

.links{
    height: 90%;
    width: auto;
}

.dashboard{
    padding-bottom: 10px;
    padding-top: 10px;
    margin: 0.81%;
    overflow: none;
    justify-content: center;
    border-radius: 0.7em 0.7em 0.7em;
    color: white;
    display: flex;
}

.img{
    width: 85%;
    height: auto;
    margin-top: 5px;
}

#second{
    display: flex;
    height: auto;
    width: auto;
}

footer{
    bottom: 0;
    background-color: rgb(48, 48, 48);
    width: 86%;
    height: 12%;
    display: flex;
    justify-self: baseline;
    color: white;
    padding: 7%;
}

.Content{
    backdrop-filter: blur(5px);
    width: auto;
    height: 100%;
    overflow: none;
    justify-content: space-between;
    padding: 2%;
    display: flex;
    flex-direction: column;
    border: 2px solid white;
    border-radius: 0.7em 0.7em 0.7em;
    color: white;
}

.Content-Homepage{
    width: 95%;
    display: flex;
    flex-direction: column;
}

.Content-Datenschutz{
    display: flex;
    flex-direction: column;
    backdrop-filter: blur(5px);
    width: 95%;
    height: 100%;
    overflow: none;
    justify-content: space-between;
    padding: 2%;
    display: flex;
    border: 2px solid white;
    border-radius: 0.7em 0.7em 0.7em;
    color: white;
}

.Content-Impressum{
    display: flex;
    backdrop-filter: blur(5px);
    width: 95%;
    height: 100%;
    overflow: none;
    padding: 2%;
    display: flex;
    border: 2px solid white;
    border-radius: 0.7em 0.7em 0.7em;
    color: white;
    align-items: center;
    justify-content: center;
}

.iB{
    height: auto;
    width: 50%;
    display: flex;
    object-fit: contain;
}

.iBBild{
    height: auto;
    width: 100%;
}

.background {
    position: fixed;
    top: 0;
    left: 0;
    z-index: -100;
    height:100%;
    width: 100%;
}

.bwBg{
    transform: translate(-50%, -50%);
    left: 50%;
    top: 50%;
    position: fixed;
    z-index: -10;
    filter: invert(50%);
}

.FKÜberschrift{
    font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-size: 3rem;
    color: white;
    text-align: center;
    margin-bottom: 0.5rem;
    margin-top: 0.5rem;
}

.Inhalt{
    margin-top: 80px;
}

@media screen and (min-width: 950px){
    .Inhalt{
        padding-left: 430px;    
        margin-top: 0;
    }
    .second{
        width: 420px;
        height: 100vh;
        position: fixed;
        display: flex;
        flex-direction: column;
    }
    .Content{
        width: 95.5%;
        flex-direction: row;
    }
    .Content-Homepage{
    display: flex;
    flex-direction: column;
    }
    .Content-Datenschutz{
        width: 95.5%;
        height: auto;
        display: flex;
        flex-direction: column;
    }
    .Content-Impressum{
        width: 95.5%;
        height: auto;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .iBBild{
    height: 55%;
    width: 55%;
    }
    .img{
        top: 0;
        right: 0;
        margin-top: 5px;
        margin-bottom: 5px;
        margin-left: 5px;
        width: 80%;
        height: auto;
        padding-top: 0px;
    }
    .nav.linked{
        height: 100%;
    }
    details{
        height: 100%;
    }
    .detailsInhalt{
        height: 100%;
    }
}

.menu {
	position: absolute;
    width: 50px;
    height: 50px;
    top: 17.5px;
    right: 17.5px;
}
.burger {
border-top: 1px solid black;
position: absolute;
left: 0;
width: 100%;
transition: all 250ms ease;
}
.burger-1 {
top: 0;
}
.burger-2 {
top: 25px;
}
.burger-3 {
top: 50px;
}

details > summary {
  list-style: none;
}
details > summary::-webkit-details-marker {
  display: none;
}
details[open] .burger-1 {
top: 25px;
	transform-origin: center center;
	transform: rotate(45deg)
}
details[open] .burger-2 {

	transform-origin: center center;
	transform: rotate(-45deg)
}
details[open] .burger-3 {
opacity: 0;
}

.linkedIcons{
    width: auto;
    height: 4vh;
    margin-left: 1vh;
    filter: invert(255);
    left: 0;
    bottom: 0;
}

.detailsInhalt{
    display: flex;
    flex-direction: column;
}
        
.Logos{
    margin-top: auto;
    display: flex;
    flex-direction: row;
    padding-bottom: 1rem;
}

.Logo{
    height: auto !important;
    width: 100% !important;
}